import dao.DB
import dao.ItemPatchView
import dao.ItemView
import io.javalin.http.Context

class ListItemsController {
    private val db: DB = DB()

    fun create(listId: String, ctx: Context) {
        db.createItem(listId.toInt(), ctx.body<ItemView>(), ctx)
    }
    
    fun update(listId: String, itemId: String, ctx: Context) {
        db.updateItem(listId.toInt(), itemId.toInt(), ctx.body<ItemPatchView>(), ctx)
    }

    fun delete(listId: String, itemId: String, ctx: Context) {
        db.deleteItem(listId.toInt(), itemId.toInt(), ctx)
    }

    fun getListItems(ctx: Context, resourceId: String) {
        db.findListItems(resourceId.toInt(), ctx)
    }
}