import dao.DB
import dao.ListView
import io.javalin.apibuilder.CrudHandler
import io.javalin.http.Context

class ListsController : CrudHandler {
    private val db: DB = DB()

    override fun create(ctx: Context) {
        db.createList(ctx.body<ListView>(), ctx)
    }

    override fun delete(ctx: Context, resourceId: String) {
        db.deleteList(resourceId.toInt(), ctx)
    }

    override fun getAll(ctx: Context) {
        db.getAllLists(ctx)
    }

    override fun getOne(ctx: Context, resourceId: String) {
        db.findList(resourceId.toInt(), ctx)
    }

    override fun update(ctx: Context, resourceId: String) {
        db.updateList(resourceId.toInt(), ctx.body<ListView>(), ctx)
    }

}