package dao

import org.jetbrains.exposed.dao.IntEntity
import org.jetbrains.exposed.dao.IntEntityClass
import org.jetbrains.exposed.dao.id.EntityID
import org.jetbrains.exposed.dao.id.IntIdTable

object Lists : IntIdTable() {
    val name = varchar("content", 256)
}

class List(id: EntityID<Int>) : IntEntity(id) {
    companion object : IntEntityClass<List>(Lists)

    var name by Lists.name


}
fun List.toView(): ListView {
    return ListView(this.id.value, this.name)
}

fun List.toViewWithItems(items: kotlin.collections.List<ItemV2>): ListViewWithItems {
    return ListViewWithItems(this.id.value, this.name, items.map { it.toView() })
}

data class ListView(val id: Int, val name: String)

data class ListViewWithItems(val id: Int, val name: String, val items: kotlin.collections.List<ItemView>)